summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:16:30 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:16:30 +0100
commit1461355df207fe0e1c07825b094c1ed5ada8dc3a (patch)
tree02df64760eb792fcdda30919925e8bcf0f1a8255 /deps
parent461526492a07104c04835226b97f36f8d5aefc19 (diff)
downloadktown-1461355df207fe0e1c07825b094c1ed5ada8dc3a.tar.gz
ktown-1461355df207fe0e1c07825b094c1ed5ada8dc3a.tar.xz
KDE 4.12.5 for Slackware 14.1 (27apr2014)4.12.5
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/LibRaw/LibRaw.SlackBuild121
-rw-r--r--deps/LibRaw/slack-desc19
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rwxr-xr-xdeps/updates.SlackBuild1
4 files changed, 142 insertions, 0 deletions
diff --git a/deps/LibRaw/LibRaw.SlackBuild b/deps/LibRaw/LibRaw.SlackBuild
new file mode 100755
index 0000000..20ff70f
--- /dev/null
+++ b/deps/LibRaw/LibRaw.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+# Copyright 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=LibRaw
+VERSION=${VERSION:-0.16.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION-build
+mkdir $PKGNAM-$VERSION-build
+cd $PKGNAM-$VERSION-build
+tar xvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PKGNAM-demosaic-pack-GPL2-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PKGNAM-demosaic-pack-GPL3-$VERSION.tar.gz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --enable-demosaic-pack-gpl2=../LibRaw-demosaic-pack-GPL2-$VERSION \
+ --enable-demosaic-pack-gpl3=../LibRaw-demosaic-pack-GPL3-$VERSION \
+ --enable-jasper \
+ --enable-lcms \
+ --disable-examples \
+ --build=$TARGET \
+ || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYRIGHT Changelog.txt LICENSE.* README* doc \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+ mv $PKG/usr/doc/$PKGNAM-$VERSION/doc $PKG/usr/doc/$PKGNAM-$VERSION/html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/LibRaw/slack-desc b/deps/LibRaw/slack-desc
new file mode 100644
index 0000000..b5c3b7b
--- /dev/null
+++ b/deps/LibRaw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+LibRaw: LibRaw (library for decoding raw digital photos)
+LibRaw:
+LibRaw: LibRaw is a library for reading RAW files obtained from digital
+LibRaw: cameras (CRW/CR2, NEF, RAF, DNG, and others). It is based on the
+LibRaw: source code of the dcraw utility.
+LibRaw:
+LibRaw:
+LibRaw:
+LibRaw:
+LibRaw: Homepage: http://www.libraw.org/
+LibRaw:
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index c9f97af..1523ac5 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -24,6 +24,7 @@ ALLDEPS=" \
sip \
PyQt \
phonon-gstreamer \
+ LibRaw \
"
# Allow for specification of individual packages to be built:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index edd17af..d284ad3 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -18,6 +18,7 @@ ALLDEPS=" \
akonadi \
attica \
shared-desktop-ontologies \
+ LibRaw \
"
# Allow for specification of individual packages to be built: